Bug 438406 - Review Request: ufiformat - Disk formatting utility for USB floppy devices
Review Request: ufiformat - Disk formatting utility for USB floppy devices
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-20 14:56 EDT by Chris Adams
Modified: 2016-08-14 12:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-11 21:53:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
dennis: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Chris Adams 2008-03-20 14:56:31 EDT
Spec URL: http://www.cmadams.net/fedora/ufiformat/ufiformat.spec
SRPM URL: http://www.cmadams.net/fedora/ufiformat/ufiformat-0.9.4-1.fc8.src.rpm
Description: ufiformat is a disk formatting utility for USB floppy devices.

This is my first package for Fedora, so I need a sponsor.
Comment 1 Kairo Araujo 2008-03-25 19:24:00 EDT
Unofficial Package Review

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated


 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel/i386 via mock in my personal box
 [x] Rpmlint output:
     source RPM:empty
     binary RPM:empty
     debuginfo RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2+
 [!] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
 [x] Package is not known to require ExclusiveArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/i386
 [x] Package should compile and build into binary rpms on all supported
     Tested on: only devel/i386
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [x] File based requires are sane.

1. spec file (suggestion): Source0 to
2. spec file: Add COPYING on %doc
Comment 2 Chris Adams 2008-03-25 22:26:14 EDT
Fixed the %doc (I thought I'd read somewhere to leave the "normal" ones out; I
must have misread).

I meant to have %{version} in the source line, I just forgot (I don't usually
put %{name} but that's just me).

I've updated the spec and SRPM at the above URLs.

Comment 3 Kairo Araujo 2008-04-01 11:35:22 EDT
Please change version in spec file and make rebuild src.rpm

Comment 4 Chris Adams 2008-04-01 15:12:31 EDT
Sorry - I apparently re-uploaded the original copy.  I bumped the release number
just to make sure I didn't do it again.
Comment 5 Kairo Araujo 2008-04-01 16:08:11 EDT
Unofficial Package Review
Spec URL: http://www.cmadams.net/fedora/ufiformat/ufiformat.spec
SRPM URL: http://www.cmadams.net/fedora/ufiformat/ufiformat-0.9.4-2.fc8.src.rpm

[OK] comment #1 
[OK] rpmlint spec 
[OK] rpmlint rpm
[OK] rpmlint srpm
[OK] rpmlint rpm debuinfo
[OK] mock: Config(fedora-devel-i386)

APPROVED (Unofficial)
Comment 6 manuel wolfshant 2008-04-05 20:18:49 EDT
Thre is one small change I recommend. It is mostly cosmetic but makes the
package closer to "preserve timestamps" rule we try to enforce. Please replace:
    make install DESTDIR=$RPM_BUILD_ROOT
    make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
This will preserve the timestamp of the man page. For the rest I concur with
Kairo. No need to re-upload the spec/src.rpm just for that, just keep it mind
and make sure you add the modification before uploading to CVS, once your
package is officialy approved.

Chris, I've noticed that you are quite active as a bug reporter and that you
have also used mock in the past to rebuild packages locally. I am willing to
sponsor you, but before that I would like to either see a couple of [unofficial]
reviews performed by you or at least another packaged submitted by you. Could
you please do that ?
Comment 7 Chris Adams 2008-04-08 16:27:31 EDT
I've updated to spec/SRPM to -3 to change the install line (otherwise I'd forget).

I have been planning to try to do some reviews but I just haven't had time yet
(maybe later this week).  There are some other things I will want to submit once
I get settled, but time has been an issue there as well.
Comment 8 Jason Tibbitts 2008-10-27 15:31:36 EDT
Hmm, this seems to have fallen through the cracks.  It looks like someone came along and added some needless bug alias which advanced the "last changed" date and made the ticket drop off of my "old tickets to look at" report.  Oh, well.

Anyway, Chris, did you still want to get this in?  Could you post a link to your latest package?
Comment 9 Chris Adams 2008-11-06 09:33:23 EST
Spec URL: http://www.cmadams.net/fedora/ufiformat/ufiformat.spec
SRPM URL: http://www.cmadams.net/fedora/ufiformat/ufiformat-0.9.4-3.fc8.src.rpm

I would still like to see this in Fedora.  The biggest impediment is probably more in that I haven't done anything further to get myself sponsored.  I will try to get a few more of the packages I have built locally together for review, but that will probably take a few weeks.
Comment 10 Jason Tibbitts 2008-11-06 10:11:44 EST
Honestly, anyone who waits around for eight months and still wants to contribute deserves sponsorship in my book.  Especially now that it doesn't automatically grant access to the entire distro.  This package is simple, builds fine in rawhide, and elicits no complaints from rpmlint.  I can't really do any testing as I don't have the necessary equipment, though.  All I can do is verify that the binary runs, which it does.

I will sponsor you.  It seems you've already applied for access, so I'll click the button and you can make your CVS request after everything syncs.

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   ufiformat = 0.9.4-3.fc10
   ufiformat(x86-64) = 0.9.4-3.fc10

* %check is not present; no test suite upstream.
  The binary runs, but that's all I'm able to test.

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

Comment 11 Chris Adams 2008-11-06 19:43:31 EST
New Package CVS Request
Package Name: ufiformat
Short Description: Disk formatting utility for USB floppy devices
Owners: cmadams
Branches: F-8 F-9 F-10
Comment 12 Dennis Gilmore 2008-11-06 21:28:17 EST
CVS Done
Comment 13 Fedora Update System 2008-11-08 15:02:10 EST
ufiformat-0.9.4-3.fc9 has been submitted as an update for Fedora 9.
Comment 14 Fedora Update System 2008-11-08 15:02:13 EST
ufiformat-0.9.4-3.fc10 has been submitted as an update for Fedora 10.
Comment 15 Fedora Update System 2008-11-08 15:02:17 EST
ufiformat-0.9.4-3.fc8 has been submitted as an update for Fedora 8.
Comment 16 Fedora Update System 2008-11-11 21:53:19 EST
ufiformat-0.9.4-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2008-11-11 21:56:49 EST
ufiformat-0.9.4-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2008-11-22 11:53:27 EST
ufiformat-0.9.4-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.